MCP Tools Reference: ces.googleapis.com

Tool: start_export_app

Starts to export a CES app

The following code sample shows how to use curl to call the start_export_app MCP tool.

Curl Request
curl --location 'https://ces.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "start_export_app",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

Input Schema

Request message for McpService.StartExportApp.

StartExportAppRequest

JSON representation
{
  "projectId": string,
  "locationId": string,
  "appId": string
}
Fields
projectId

string

The project id of the app to export.

locationId

string

The location id of the app to export.

appId

string

The app id of the app to export.

Output Schema

The operation that exports a CES app.

ExportAppOperation

JSON representation
{
  "name": string,
  "done": boolean,
  "content": string
}
Fields
name

string

The resource name of the export app operation.

done

boolean

Whether the operation is done.

content

string (bytes format)

If [done] is true, contains the bytes of the zip file of the compressed app export, which is a folder containing the app config files in yaml format.

A base64-encoded string.

Tool Annotations

Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.

Along with the title string, the following boolean hints are defined as follows:

  • readOnlyHint: If true, the tool doesn't modify its environment. Default: false.
  • destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.
  • idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.
  • openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.

Destructive Hint: ❌ | Idempotent Hint: ❌ | Read Only Hint: ❌ | Open World Hint: ❌